<?xml version="1.0"?>
<!--*************************************************************
  *                    Licensed Materials - Property of IBM
  *
  * XXXX-XXX (C) Copyright by IBM Corp. 2005.  All Rights Reserved.
  *
  **************************************************************-->
<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="yes"/>
   
<xsl:template match="exportedResults">
<html>
	<head>
	<title>
	<xsl:apply-templates select="queryInfo" />
	</title>
	</head>
	<body onload="window.print()">
		<h2>
		<xsl:apply-templates select="queryInfo"/>
		</h2>
		<i><xsl:value-of select="@creationTime"/></i>
		<xsl:apply-templates select="records"/>
	</body>
</html>
</xsl:template>

<xsl:template match="queryInfo">
	<xsl:value-of select="@recordType"/>
	<xsl:text>  </xsl:text> 
	<xsl:value-of select="@name"/>
</xsl:template>

<xsl:template match="records">
	<xsl:apply-templates select="record"/>	
</xsl:template>

<xsl:template match="records" mode="subrecord">
<tr>
<td>
<table border="1" cellpadding="2">
	<xsl:apply-templates select="record" mode="tableRecord" />  
</table>
</td>
</tr>
</xsl:template>

<xsl:template match="record">
	<H2><xsl:value-of select="@name"/></H2>
	<TABLE BORDER="1" CELLPADDING="5">
	<xsl:apply-templates mode="subrecord" />
	</TABLE>
	<BR/>
</xsl:template>

<xsl:template match="record" mode="tableRecord">
	<xsl:variable name="index" select="position()" />
	<xsl:if test="$index=1">
	<tr>
	<xsl:apply-templates select="field" mode="columnNames" />  
	</tr>
	</xsl:if>
	<tr>
	<xsl:apply-templates select="field" mode="tableRecord" /> 
	</tr>
</xsl:template>

<xsl:template match="record" mode="subrecord">
	<tr>
	<td>
	<TABLE BORDER="1" CELLPADDING="5">
	<tr><th>
	<xsl:value-of select="@name"/>
	</th></tr>
	<xsl:apply-templates mode="subrecord" />
	</TABLE>
	</td>
	</tr>
</xsl:template>


<xsl:template match="field">
	<tr>
	<td><xsl:value-of select="@name"/></td>
	<td><xsl:value-of select="."/></td>
	</tr>	
</xsl:template>



<xsl:template match="field" mode="columnNames">
	<th><xsl:value-of select="@name"/></th>
</xsl:template>



<xsl:template match="field" mode="tableRecord">
	<td><xsl:value-of select="."/>
	</td>
</xsl:template>

<xsl:template match="field" mode="subrecord">
	<tr>
	<td><xsl:value-of select="@name"/></td>
	<td><xsl:value-of select="."/></td>
	</tr>	
</xsl:template>


</xsl:stylesheet>